Bug 175214 - directories not created in /var before attempting to chown them
directories not created in /var before attempting to chown them
Product: Fedora
Classification: Fedora
Component: tinyerp (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Horák
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2005-12-07 15:00 EST by Stephen Biggs
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 3.1.1-5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-12-11 07:29:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Stephen Biggs 2005-12-07 15:00:25 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050926 Fedora/1.0.7-1.1.fc4.swupdate Firefox/1.0.7

Description of problem:
Directories not created correctly at install of this package in /var.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Install tinyerp-server-3.1.1-1.fc4

Actual Results:  When installing this on a clean system, in the preinstall script there is the 
chown -R tinyerp:tinyerp /var/log/tinyerp /var/spool/tinyerp

This fails with a complaining error since these directories don't exist.

Expected Results:  Installation without error messages.

Additional info:

Before the chown command, the line:
mkdir -p  /var/log/tinyerp /var/spool/tinyerp

needs to be inserted inthe preinstall script.

Once these directories already exist, installation of the package completes without error or other incident.
Comment 1 Dan Horák 2005-12-08 11:08:05 EST
The dirs are included in the tinyerp-server package, but the chown command
should be executed in %post script instead of %pre. In the time of executing the
%pre script they don't exist yet. Fixed in tinyerp-server-3.1.1-2.
Comment 2 Dan Horák 2005-12-08 12:28:33 EST
The chown command is not even required, ownership is set via %attr in the spec
file. I have released tinyerp-3.1.1-3.
Comment 3 Dan Horák 2005-12-11 07:29:39 EST
I have fixed dependencies for %pre and %postun scripts. Will be in tinyerp-3.1.1-5.

Note You need to log in before you can comment on or make changes to this bug.